Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2577 closed enhancement (fixed)

Complete per-function section addition sweep

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: Indefinite
Component: bsps Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

As part of the GCI task described at https://devel.rtems.org/wiki/GCI/Coding/AddPerSectionSupportToBSPs, most BSPs were reviewed for the addition of per function section compilation and linking. This ticket is to complete that sweep.

Use #2572 as a guide for the new ticket. Just copy the contents and change the title to reflect the different BSP. Use the commented out lines for the mcf5206elite BSP make/custom file as a guide. Short version:

  • Do the GCI task for each BSP family listed below. Follow the format for the commit message.
  • If the BSP has KEEP sections and cxx_iostream does not drop a suspiciously large amount, then the modification should be OK to be merged.
  • If the BSP does NOT have KEEP sections, then a BSP specific ticket should be filed and the per-function section build lines commented out in the .cfg file with a FIXME line and the ticket number.
  • When done, update the associated ticket for the BSP family as needed. It should be closed as a side-effect of commiting any fixes so do NOT manually close them.

Follow the instructions in that GCI task with the addition that you should be EXTREMELY cautious in reviewing the size drop and whether the BSP linker script has KEEP sections. If the BSP does not have KEEP sections file a ticket to track it.

Be very careful to follow the existing patterns for tickets, commit messages, and code changes such as #2579 for the powerpc/motorola_powerpc. At the bottom of this text is a current list of "BSP families" which an automated search shows as missing per-function section linking.

Some of these may already be implemented and just need to be reviewed and closed. Close this ticket when they are all done

The following tickets are for BSPs which still need per function sections:

No results

NONE

The full set of BSPs impacted by this ticket is:

#2561
powerpc/haleakala linker script update (add KEEP() sections)
#2563
powerpc/ss555: linker script update (add KEEP() sections)
#2564
powerpc/qemuppc: linker script update (add KEEP() sections)
#2565
powerpc/mpc8260ads: linker script update (add KEEP() sections)
#2566
m68k/gen68360: linker script update (add KEEP() sections)
#2567
m68k/mrm332: linker script update (add KEEP() sections)
#2568
m68k/mcf5225x: linker script update (add KEEP() sections)
#2569
m68k/mcf5329: linker script update (add KEEP() sections)
#2570
m68k/mcf52235: linker script update (add KEEP() sections)
#2571
m68k/mcf5235: linker script update (add KEEP() sections)
#2572
m68k/mcf5206elite: linker script update (add KEEP() sections)
#2573
m68k/gen68340: linker script update (add KEEP() sections)
#2574
m68k/av5282: linker script update (add KEEP() sections)
#2575
m68k/uC5282: linker script update (add KEEP() sections)
#2576
arm/lpc176x: linker script update (add KEEP() sections)


Change History (13)

comment:1 Changed on 02/08/16 at 18:55:33 by Ralph Holmes

powerpc/motorola_powerpc -> #2579

comment:2 Changed on 02/08/16 at 19:25:10 by Joel Sherrill

Description: modified (diff)

comment:3 Changed on 03/11/16 at 22:35:00 by Joel Sherrill

Review requested to ensure ticket should be closed.

comment:4 Changed on 02/15/17 at 13:49:47 by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:5 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:6 Changed on 08/24/17 at 05:59:58 by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:7 Changed on 09/14/18 at 19:07:55 by Joel Sherrill

Description: modified (diff)

comment:8 Changed on 09/14/18 at 19:39:55 by Joel Sherrill

Description: modified (diff)

comment:9 Changed on 09/14/18 at 22:02:14 by Amar Takhar

Description: modified (diff)

Change static list to dynamic query.

comment:10 Changed on 09/16/18 at 02:07:52 by Amar Takhar

Description: modified (diff)

Remove 'FIX ME' comment.

comment:11 Changed on 09/25/18 at 19:26:13 by Joel Sherrill

Description: modified (diff)

comment:12 Changed on 11/30/18 at 14:40:05 by Joel Sherrill

Description: modified (diff)

comment:13 Changed on 11/30/18 at 20:14:04 by Joel Sherrill

Description: modified (diff)
Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.